
#include "io430.h"

int main( void )
{
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;
  
  //inicijalizacija periferija
  P3DIR=0x10;//bit 4 porta 3 je izlazni
  P3OUT=P3OUT&~0x10;//AND-ovanje sa maskom u kojoj je samo jedan bit 0 efektivno 
                    //postavlja samo taj bit na 0.
  
  while(1){//beskonacna petlja
    if (!(P1IN&0x04)) {
      P3OUT=P3OUT|0x10; //ukljucuje LD1
      //a moglo je i ovako: 
      //P3OUT|=0x10;
      //ili ovako:
      //P3OUT|=BIT4;
    }
    else {
      P3OUT=P3OUT&~0x10; //iskljucuje LD1
      //a moglo je i ovako: 
      //P3OUT&=~0x10;
      //ili ovako 
      //P3OUT&=~BIT4;
    }
  };
}
