
#include "io430.h"
#include "in430.h"

unsigned char counter=0;
int wait_time=100;
void WriteLed (unsigned char);

int main( void )
{
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;
  
  P4DIR=0xFE;//segmenti
  P4OUT=0x00;//svi segmenti iskljuceni
  P5DIR=0x80;//selektovan prvi displej
  P5OUT=0x80;//ukljucen prvi displej
  
  P1IE=0x04;//dozvola prekida za taster S4
  P1IES=0x04;//opadajuca ivica aktivira prekid
  
  _EINT();//globalna dozvola prekida- intrinsic funkcija deklarisana u "in430.h"
   
  while(1) {//beskonacna petlja
    WriteLed(counter);
  }   
}

// define the interrupt handler
#pragma vector=PORT1_VECTOR
__interrupt void port1Handler( void ){
  counter++;
  if (counter>9) counter=0;
  for (int i=0;i<wait_time;i++);//cekanje dok se bounceing "smiri"     
  P1IFG=0x00;//birsanje flag-ova. Ako se flag ne izbrise prekid ostaje aktivan
};